slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSGetOptionsPrefix

Gets the prefix used for searching for all DS options in the database.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetOptionsPrefix(DS ds,const char *prefix[])

Not Collective

### Input Parameters

| ds | - the direct solver context

### Output Parameters

| prefix | - pointer to the prefix string used is returned

### Note

On the Fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### See Also

DSSetOptionsPrefix(), DSAppendOptionsPrefix()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsbasic.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages